'use strict';

const express = require("express");
const path = require("path");

let app = express();

app.set("views", path.join(__dirname, "views"));
app.set("view engine", "pug");

app.use(express.static(path.join(__dirname, "public")))

app.get("/", (req, res) => {
	res.render("editor");
});

app.listen(3000);
