'use strict';

const React = require("react");
const createReactClass = require("create-react-class");

const Menu = require("./menu");
const Node = require("./node");

let App = createReactClass({
	getInitialState: function () {
		return {
			menuItems: [{
				type: "folder",
				name: "Foo"
			}, {
				type: "folder",
				name: "Bar"
			}, {
				type: "object-type",
				name: "Baz"
			}]
		}
	},
	render: function () {
		return (
			<div className="editor-app">
				<div className="header">
					<h1>
						<img src="/images/logo-32.png" className="logo" />
						<span className="name">Cryto Play</span>
					</h1>
				</div>

				<Menu items={this.state.menuItems} />

				<div className="canvas">
					<Node />
				</div>
			</div>
		);
	}
});

module.exports = App;
