'use strict';

const Promise = require("bluebird");
const React = require("react");
const ReactDOM = require("react-dom");
const documentReadyPromise = require("document-ready-promise");

const App = require("./components/app");

Promise.try(() => {
	return documentReadyPromise();
}).then(() => {
	ReactDOM.render(<App />, document.getElementById("editor-app"));
}).catch((err) => {
	console.error(err);
});
