function generate {
	NAME="$1"
	SIZE="$2"
	inkscape --export-width=$SIZE --export-height=$SIZE --export-png=../../public/images/icons/$NAME-$SIZE.png $NAME.svg
}

mkdir -p ../../public/images/icons

for file in *.svg
do
	BASENAME=$(basename $file ".svg")
	generate $BASENAME 64
	generate $BASENAME 32
	generate $BASENAME 16
done
